Subject: [PATCH v4 07/10] pwm: tegra: Add device tree support

From: [email-masked] (Stephen Warren)
Date: Wed, 04 Apr 2012 12:33:14 -0600

On 04/04/2012 01:04 AM, Shawn Guo wrote:
> On Mon, Mar 19, 2012 at 08:42:34PM -0600, Stephen Warren wrote:
>> On 03/14/2012 09:56 AM, Thierry Reding wrote:
>>> Add auxdata to instantiate the PWFM controller from a device tree,
>>> include the corresponding nodes in the dtsi files for Tegra 20 and
>>> Tegra 30 and add binding documentation.
>>>
>>> Signed-off-by: Thierry Reding <[email-masked]>
>>
>>> +++ b/Documentation/devicetree/bindings/pwm/tegra-pwm.txt
>>
>> Can this please be named nvidia,tegra20-pwm.txt so that if we need
> 
> Is it necessary to have even the vendor prefix in the file name?  The
> file will look exceptional among all these binding documents under
> Documentation/devicetree/bindings.

It would look exceptional now, but I've had it in the back of my mind to
suggest renaming all the binding docs in line with their full compatible
value. Then, it'd just look consistent ;-P.